Engage Customer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Thankly MCP server": {
  "url": "https://docs.thankly.ai/mcp"
}
Close
POST /v1/admin/orgs/{org_id}/engage

Get-or-create the persistent Experience and invoke engagement_decision.

Returns 202 immediately with experience_id and session_id for polling. The decision is generated asynchronously; poll GET /experiences/{experience_id} until status == COMPLETED to retrieve widget_data.

Path parameters

  • org_id string Required
application/json

Body Required

  • external_customer_id string Required
  • playbook_id string Required

Responses

  • 202 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • experience_id string Required
    • access_token string Required
    • session_id string | null
    • status string Required
    • widget_data object | null

      Additional properties are allowed.

  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
POST /v1/admin/orgs/{org_id}/engage
curl \
 --request POST 'http://api.example.com/v1/admin/orgs/{org_id}/engage' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"external_customer_id":"string","playbook_id":"string"}'
Request examples
{
  "external_customer_id": "string",
  "playbook_id": "string"
}
Response examples (202)
{
  "experience_id": "string",
  "access_token": "string",
  "session_id": "string",
  "status": "string",
  "widget_data": {}
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}